var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getAppKey } from './kinvey';
import { Storage } from './storage';
const COLLECTION_NAME = '_Device';
function s4() {
    return Math.floor((1 + Math.random()) * 0x10000)
        .toString(16)
        .substring(1);
}
function uuidv4() {
    return `${s4()}${s4()}-${s4()}-${s4()}-${s4()}-${s4()}${s4()}${s4()}`;
}
export function getDeviceId() {
    return __awaiter(this, void 0, void 0, function* () {
        const storage = new Storage(getAppKey(), COLLECTION_NAME);
        const docs = yield storage.find();
        let doc = docs.shift();
        if (!doc) {
            doc = yield storage.save({ uuid: uuidv4() });
        }
        return doc.uuid;
    });
}
//# sourceMappingURL=device.js.map