var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { isString } from 'lodash-es';
import { formatKinveyBaasUrl, HttpRequestMethod, KinveyHttpRequest, KinveyBaasNamespace, KinveyHttpAuth } from './http';
import { KinveyError } from './errors/kinvey';
export function endpoint(endpoint, args, options = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!isString(endpoint)) {
            throw new KinveyError('An endpoint is required and must be a string.');
        }
        const request = new KinveyHttpRequest({
            method: HttpRequestMethod.POST,
            auth: KinveyHttpAuth.SessionOrMaster,
            url: formatKinveyBaasUrl(KinveyBaasNamespace.Rpc, `/custom/${endpoint}`),
            body: args,
            timeout: options.timeout
        });
        const response = yield request.execute();
        return response.data;
    });
}
//# sourceMappingURL=endpoint.js.map