var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { isNumber } from 'lodash-es';
import { downloadByUrl } from './downloadByUrl';
import { KinveyHttpRequest, HttpRequestMethod, KinveyHttpAuth, formatKinveyBaasUrl, KinveyBaasNamespace } from '../http';
export function download(id, options = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        const { stream = false, tls = true, ttl } = options;
        const queryStringObject = Object.assign({}, { tls: tls === true });
        if (isNumber(ttl)) {
            queryStringObject.ttl_in_seconds = ttl;
        }
        const request = new KinveyHttpRequest({
            method: HttpRequestMethod.GET,
            auth: KinveyHttpAuth.SessionOrMaster,
            url: formatKinveyBaasUrl(KinveyBaasNamespace.Blob, `/${id}`, queryStringObject),
            timeout: options.timeout
        });
        const response = yield request.execute();
        const file = response.data;
        if (stream) {
            return file;
        }
        return downloadByUrl(file._downloadURL, options);
    });
}
//# sourceMappingURL=download.js.map