export declare class HttpHeaders {
    private headers;
    private normalizedNames;
    constructor(headers?: HttpHeaders);
    constructor(headers?: {
        [name: string]: string | string[];
    });
    constructor(headers?: {
        [name: string]: () => string | string[];
    });
    get contentType(): string;
    set contentType(value: string);
    has(name: string): boolean;
    get(name: string): string | undefined;
    keys(): string[];
    set(name: string, value: string | string[]): HttpHeaders;
    set(name: string, value: () => string | string[]): HttpHeaders;
    join(headers: HttpHeaders): void;
    delete(name: string): boolean;
    toPlainObject(): {
        [name: string]: string;
    };
}
export declare enum KinveyHttpAuth {
    All = "All",
    App = "App",
    Master = "Master",
    Session = "Session",
    SessionOrApp = "SessionOrApp",
    SessionOrMaster = "SessionOrMaster",
    MFASessionToken = "MFASessionToken",
    SessionOrMFASessionTokenOrMaster = "SessionOrMFASessionTokenOrMaster"
}
export declare function getAppVersion(): string;
export declare function setAppVersion(appVersion: string): void;
export declare class KinveyHttpHeaders extends HttpHeaders {
    constructor(headers?: KinveyHttpHeaders);
    constructor(headers?: {
        [name: string]: string | string[];
    });
    constructor(headers?: {
        [name: string]: () => string | string[];
    });
    get requestStart(): string;
    setAuthorization(auth: KinveyHttpAuth): Promise<void>;
    setCustomRequestProperties(properties: {}): void;
}
