import { HttpResponse } from './response';
export interface HttpRequestObject {
    headers: {
        [name: string]: string;
    };
    method: string;
    url: string;
    body?: string;
    timeout?: number;
}
export interface HttpResponseObject {
    statusCode: number;
    headers: {
        [name: string]: string;
    };
    data?: string;
}
export interface HttpAdapter {
    send: (request: HttpRequestObject) => Promise<HttpResponseObject>;
}
export declare function send(request: HttpRequestObject): Promise<HttpResponse>;
