var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { ConfigKey, getConfig } from '../config';
import { HttpHeaders } from './headers';
import { HttpResponse } from './response';
function getHttpAdapter() {
    return getConfig(ConfigKey.HttpAdapter);
}
export function send(request) {
    return __awaiter(this, void 0, void 0, function* () {
        const responseObject = yield getHttpAdapter().send(request);
        return new HttpResponse({
            statusCode: responseObject.statusCode,
            headers: new HttpHeaders(responseObject.headers),
            data: responseObject.data
        });
    });
}
//# sourceMappingURL=http.js.map