import { Entity } from '../storage';
export interface SessionObject extends Entity {
    _socialIdentity?: any;
}
export interface SessionStore {
    get(key: string): Promise<string>;
    set(key: string, session: string): Promise<boolean>;
    remove(key: string): Promise<boolean>;
}
export interface MFASessionObject {
    userId: string;
    mfaSessionToken: string;
}
export declare function getKey(): string;
export declare function getSession(): Promise<SessionObject>;
export declare function setSession(session: SessionObject): Promise<boolean>;
export declare function removeSession(): Promise<boolean>;
export declare function getMFASession(): Promise<MFASessionObject>;
export declare function getMFASessionToken(): Promise<string>;
export declare function setMFASession(mfaSession: MFASessionObject): Promise<boolean>;
export declare function removeMFASession(): Promise<boolean>;
export declare function getDeviceToken(username: string): Promise<string>;
export declare function hasDeviceToken(username: string): Promise<boolean>;
export declare function setDeviceToken(username: string, deviceToken: string): Promise<boolean>;
export declare function removeDeviceToken(username: string): Promise<boolean>;
export declare function getKinveyMICSession(): Promise<any>;
export declare function setKinveyMICSession(newKinveyMICSession: any): Promise<boolean>;
