import { Acl } from './acl';
import { Aggregation } from './aggregation';
import { collection, getInstance, clearCache, DataStoreType } from './datastore';
import { endpoint } from './endpoint';
import * as Errors from './errors';
import * as Files from './files';
import * as MFA from './mfa';
import { init, initialize } from './init';
import { Kmd } from './kmd';
import { logger } from './log';
import { ping } from './ping';
import { Query } from './query';
import { User, AuthorizationGrant } from './user';
import { LoginOptions } from './user/login';
import { MFAContext, MFACompleteResult } from './user/loginWithMFA';
import { getAppVersion, setAppVersion } from './http';
declare const CustomEndpoint: {
    execute: typeof endpoint;
};
declare const DataStore: {
    collection: typeof collection;
    getInstance: typeof getInstance;
    clearCache: typeof clearCache;
};
export { init, initialize, getAppVersion, setAppVersion, logger, ping, Acl, Aggregation, CustomEndpoint, DataStore, DataStoreType, Errors, Files, Kmd, Kmd as Metadata, Query, User, AuthorizationGrant, LoginOptions, MFAContext, MFACompleteResult, MFA };
