import { SessionStore, HttpAdapter } from './http';
import { KinveyConfig } from './kinvey';
import { Popup } from './user/mic/popup';
import { StorageAdapter } from './storage';
export interface Config {
    kinveyConfig: KinveyConfig;
    httpAdapter: HttpAdapter;
    sessionStore: SessionStore;
    popup: Popup;
    storageAdapter: StorageAdapter;
    pubnub: any;
}
export declare function init(config: Config): {
    apiHost: string;
    apiHostname: string;
    apiProtocol: string;
    appKey: string;
    appSecret: string;
    masterSecret: string;
    authHost: string;
    authHostname: string;
    authProtocol: string;
    micHost: string;
    micHostname: string;
    micProtocol: string;
    _defaultTimeout: number;
    defaultTimeout: number;
    encryptionKey: string;
    _appVersion: string;
    appVersion: string;
    deviceId: Promise<string>;
};
export declare function initialize(config: Config): void;
