import { Entity } from './storage';
/**
 * This class provides a way to access the KMD (Kinvey Metadata)
 * information for an entity.
 */
export declare class Kmd {
    private entity;
    constructor(entity: Entity);
    /**
     * Get the auth token.
     *
     * @returns {string} _kmd.authtoken
     */
    get authtoken(): string;
    /**
     * Get created at time.
     *
     * @returns {Date?} _kmd.ect
     */
    get ect(): Date;
    /**
     * Get created at time.
     *
     * @returns {Date?} _kmd.ect
     */
    get createdAt(): Date;
    /**
     * Get last modified time.
     *
     * @returns {Date?} _kmd.lmt
     */
    get lmt(): Date;
    /**
     * Get last modified time.
     *
     * @returns {Date?} _kmd.lmt
     */
    get lastModified(): Date;
    /**
     * Get last modified time.
     *
     * @returns {Date?} _kmd.lmt
     */
    get updatedAt(): Date;
    /**
     * Get last login time.
     *
     * @returns {Date?} _kmd.llt
     */
    get llt(): Date;
    /**
     * Get last login time.
     *
     * @returns {Date?} _kmd.llt
     */
    get lastLoginTime(): Date;
    /**
     * Get last login time.
     *
     * @returns {Date?} _kmd.llt
     */
    get loggedAt(): Date;
    /**
     * Get the email verification details.
     *
     * @returns {Object} _kmd.emailVerification
     */
    get emailVerification(): {
        status: string;
    };
    /**
     * Checks if an email for a user has been confirmed.
     *
     * @returns {boolean} True if the email has been confirmed otherwise false
     */
    isEmailConfirmed(): boolean;
    /**
     * Checks if the entity has been created locally.
     *
     * @returns {boolean} True if the entity has been created locally otherwise false
     */
    isLocal(): boolean;
    toPlainObject(): {
        local?: boolean;
        authtoken?: string;
        ect?: string;
        lmt?: string;
        llt?: string;
        emailVerification?: {
            status: string;
        };
    };
}
