export interface MFAAuthenticator {
    id: string;
    name: string;
    type: string;
    config?: object;
}
export interface CreateMFAAuthenticatorResult {
    authenticator: MFAAuthenticator;
    recoveryCodes?: string[];
}
export declare enum MFAAuthenticatorType {
    TOTP = "totp"
}
export interface NewMFAAuthenticator {
    name: string;
    type?: MFAAuthenticatorType;
}
export interface VerifyContext {
    retries: number;
    authenticator: MFAAuthenticator;
    error?: any;
}
export declare function createMFAAuthenticator(userId: string, newAuthenticator: NewMFAAuthenticator, verify: (authenticator: MFAAuthenticator, context: VerifyContext) => Promise<string>): Promise<CreateMFAAuthenticatorResult>;
