import { exists } from './exists';
import { forgotUsername } from './forgotUsername';
import { login } from './login';
import { loginWithMFA } from './loginWithMFA';
import { loginWithRecoveryCode } from './loginWithRecoveryCode';
import { loginWithRedirectUri } from './loginWithRedirectUri';
import { loginWithMICUsingResourceOwnerCredentials } from './loginWithMICUsingResourceOwnerCredentials';
import { loginWithMIC, AuthorizationGrant } from './loginWithMIC';
import { logout } from './logout';
import { lookup } from './lookup';
import { me } from './me';
import { remove } from './remove';
import { resetPassword } from './resetPassword';
import { restore } from './restore';
import { signup } from './signup';
import { signUpWithIdentity } from './signupWithIdentity';
import { update } from './update';
import { getActiveUser } from './getActiveUser';
import { User as KinveyUser } from './user';
import { verifyEmail } from './verifyEmail';
import { registerForLiveService } from './registerForLiveService';
import { unregisterFromLiveService } from './unregisterFromLiveService';
import { invalidateTokens } from './invalidateTokens';
export { AuthorizationGrant };
export class User extends KinveyUser {
    static exists(username, options) {
        return exists(username, options);
    }
    static forgotUsername(email, options) {
        return forgotUsername(email, options);
    }
    static invalidateTokens() {
        return invalidateTokens();
    }
    static login(username, password, options) {
        return login(username, password, options);
    }
    static loginWithMFA(username, password, selectAuthenticator, mfaComplete, options = {}) {
        return loginWithMFA(username, password, selectAuthenticator, mfaComplete, options);
    }
    static loginWithRecoveryCode(username, password, recoveryCode, options = {}) {
        return loginWithRecoveryCode(username, password, recoveryCode, options);
    }
    static loginWithRedirectUri(redirectUri, options) {
        return loginWithRedirectUri(redirectUri, options);
    }
    static loginWithMICUsingResourceOwnerCredentials(username, password, options) {
        return loginWithMICUsingResourceOwnerCredentials(username, password, options);
    }
    static loginWithMIC(redirectUri, authorizationGrant, options) {
        return loginWithMIC(redirectUri, authorizationGrant, options);
    }
    static logout(options) {
        return logout(options);
    }
    static lookup(query, options) {
        return lookup(query, options);
    }
    static me(options) {
        return me(options);
    }
    static remove(id, options) {
        return remove(id, options);
    }
    static resetPassword(username, options) {
        return resetPassword(username, options);
    }
    static restore() {
        return restore();
    }
    static signup(data, options) {
        return signup(data, options);
    }
    static signUpWithIdentity() {
        return signUpWithIdentity();
    }
    static update(data, options) {
        return update(data, options);
    }
    static getActiveUser() {
        return getActiveUser();
    }
    static verifyEmail(username, options) {
        return verifyEmail(username, options);
    }
    static registerForLiveService(options) {
        return registerForLiveService(options);
    }
    static unregisterFromLiveService(options) {
        return unregisterFromLiveService(options);
    }
}
//# sourceMappingURL=index.js.map