var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Observable } from 'rxjs';
import { Query } from '../query';
import { KinveyError } from '../errors/kinvey';
import { formatKinveyBaasUrl, HttpRequestMethod, KinveyHttpRequest, KinveyHttpAuth, KinveyBaasNamespace } from '../http';
export function lookup(query, options = {}) {
    const stream = Observable.create((observer) => __awaiter(this, void 0, void 0, function* () {
        try {
            if (query && !(query instanceof Query)) {
                throw new KinveyError('Invalid query. It must be an instance of the Query class.');
            }
            const request = new KinveyHttpRequest({
                method: HttpRequestMethod.POST,
                auth: KinveyHttpAuth.SessionOrMaster,
                url: formatKinveyBaasUrl(KinveyBaasNamespace.User, '/_lookup'),
                body: query ? query.filter : undefined,
                timeout: options.timeout
            });
            const response = yield request.execute();
            observer.next(response.data);
            observer.complete();
        }
        catch (error) {
            observer.error(error);
        }
    }));
    return stream;
}
//# sourceMappingURL=lookup.js.map