var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { isEmpty, isPlainObject } from 'lodash-es';
import { KinveyError } from '../errors/kinvey';
import { formatKinveyBaasUrl, HttpRequestMethod, KinveyHttpRequest, KinveyBaasNamespace, KinveyHttpAuth } from '../http';
import { User } from './user';
export function signup(data, options = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        if (data && !isPlainObject(data)) {
            throw new KinveyError('The provided data must be an object.');
        }
        const request = new KinveyHttpRequest({
            method: HttpRequestMethod.POST,
            auth: KinveyHttpAuth.App,
            url: formatKinveyBaasUrl(KinveyBaasNamespace.User),
            timeout: options.timeout
        });
        if (data instanceof User) {
            request.body = isEmpty(data.data) ? null : data.data;
        }
        else {
            request.body = isEmpty(data) ? null : data;
        }
        const response = yield request.execute();
        const session = response.data;
        return new User(session);
    });
}
//# sourceMappingURL=signup.js.map